package cdac.medinfo.sdk.dcm30_04.services.mediastorageapplicationprofile.testcases.filesetreader;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.mail.MessagingException;

import cdac.medinfo.sdk.dcm30_04.enums.EnumLoggingLevel;
import cdac.medinfo.sdk.dcm30_04.services.generalpurposemimeinterchangeprofile.MediaStorageMail_FSR;
import cdac.medinfo.sdk.dcm30_04.utils.DicomConfig;

public class EmailMediaStorageTest_FSR 
{
	public static void main(String[] args) throws MessagingException 
	{
		try
		{
			DicomConfig objDicomConfig = DicomConfig.createInstance();
			//enable logging,specify the path of the directory where log files are created.
			//User can specify any directory in place of 'c:\DCM_Logs'.
			////If no directory is defined by user to create logs then it is created in User Temp DIR.
			objDicomConfig.enableLogging(EnumLoggingLevel.INFO, "C:\\DCM_Logs");
			System.out.println("Enter username or password of mail id");
			BufferedReader b_reader = new BufferedReader(new InputStreamReader(System.in));
			String username=b_reader.readLine();
			String password=b_reader.readLine();
			MediaStorageMail_FSR objMediaStorageMail_FSR = new MediaStorageMail_FSR();
			objMediaStorageMail_FSR.process(username, password);
		}
		catch (IOException e)
		{

			e.printStackTrace();
		}
	}
}

